### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-core/language/ecl-site-header-core-language.component.ts`

### Extends

`EclSiteHeaderLanguageComponent`

### Metadata

selector | `ecl-site-header-core-language`
templateUrl | `./ecl-site-header-core-language.component.html`

### Index

###### Methods

- onLanguageClick
- getCssClasses

###### Inputs

- languageCode
- languageLabel
- class
- e2eAttr

###### Outputs

- languageClick

### Inputs

languageCode
Type : `string`
Default value : `'en'`

languageLabel
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

languageClick
Type : `EventEmitter`

### Methods

onLanguageClick
`onLanguageClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

# results matching ""

# No results matching ""